@import url('./global.css');

body {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  min-height: 100vh;
  background-color: var(--primary-foreground);
  background-image: url('../assets/floral-corner.png'), url('../assets/floral-corner-right.png');
  background-repeat: no-repeat no-repeat;
  background-position: -20px -20px, calc(100% + 20px) -20px;
  background-size: 450px, 450px;
}

.register-container,
.login-container {
  margin-block: 2rem;
  padding: 2rem;
  max-width: 28rem;
  width: 100%;
  background-color: #ffffff;
  backdrop-filter: blur(4px);
  border-radius: 1.5rem;
  box-shadow: 0 3px 7px #0000001b;
  text-align: center;
}

.register-container .main-logo,
.login-container .main-logo {
  margin-bottom: .75rem;
}

.register-container h2,
.login-container h2 {
  font-size: 1.875rem;
  font-weight: 500;
  line-height: 120%;
}

.register-container .subtitle,
.login-container .subtitle {
  margin: .5rem 0 2rem;
}

.input-wrapper {
  margin-bottom: 1.25rem;
  display: flex;
  flex-direction: column;
  gap: .25rem;
}

.input-wrapper label {
  align-self: flex-start;
  font-size: .875rem;
  color: var(--foreground);
}

.input-wrapper span {
  color: var(--alert);
}

.input-wrapper input {
  padding: .25rem 1rem;
  background-color: hsl(from var(--white) h s l / .7);
  color: var(--foreground);
  font-size: .875rem;
  line-height: 1.875rem;
}
.input-wrapper input:focus {
  outline: 2px solid var(--primary);
}

.input-wrapper input,
.google-button button {
  height: 3rem;
  border-radius: 1rem;
  border: none;
  box-shadow: 0 1px 2px #0000001b;
}

.register-container form button,
.login-container form button {
  width: 100%;
  border-radius: 1rem;
  height: 3rem;
}

.login-area-divider {
  margin: 24px 0px;
  width: 100%;
  background: linear-gradient(transparent 50%, var(--muted-primary) 55%, transparent 56%);
  text-align: center;
  font-size: .75rem;
}

.login-area-divider span {
  padding: 0 10px;
  background-color: var(--primary-foreground);
  font-weight: 400;
}

.google-button button {
  padding: .5rem 1rem;
  width: 100%;
  height: 3rem;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: .5rem;
  background-color: transparent;
  border: 1px solid hsl(from var(--muted-primary) h s l / .6);
  border-radius: 1rem;
  box-shadow: 0 1px 2px #0000001b;
  font-size: .875rem;
  line-height: 140%;
  color: var(--foreground);
  cursor: pointer;
}
.google-button button:hover {
  background-color: var(--muted);
}

.google-button svg {
  margin-right: .5rem;
  display: inline-block;
  width: 1rem;
  height: 1rem;
  vertical-align: middle;
}

.text-create-account {
  margin-top: 1.5rem;
  font-size: .875rem;
  line-height: 1.875rem;
}
.text-create-account a:hover {
  text-decoration: underline;
}

@media screen and (max-width: 600px) {
  body {
    background: url('../assets/floral-corner.png') no-repeat top left / cover;
  }

  .register-container,
  .login-container {
    background-color: hsl(from var(--white) h s l / .7);
  }
}